/*
 * Base: http://courses.cs.vt.edu/~cs1705/cs1705.css
 *
 * colors:
 *     dark background:      #1A3636    dark olive green
 *     highlight over dark:  #f3e19a    light tan
 *     highlight over light: #E5571D    red
 *     alt color:            #938356    medium tan
 *     other text:           #000000    black

 square = dark blue/light blue/tan with red writing
 */

A:hover { background-color: #f2e19a; }

BODY {background-color: white;
      /* font-family: Verdana,Helvetica,Arial,sans-serif; */
      }

H1 {font-family: Verdana,Helvetica,Arial,sans-serif;
    font-weight: bold;
    font-size: x-large;
    color: #1A3636;
    text-align: center}

H2 {font-family: Verdana,Helvetica,Arial,sans-serif;
    font-weight: bold;
    font-size: large;
    color: #1A3636;
    text-align: center}

H3 {font-family: Verdana,Helvetica,Arial,sans-serif;
    font-weight: bold;
    font-size: medium;
    color: #1A3636;}

H4 {font-family: Verdana,Helvetica,Arial,sans-serif;
    font-weight: bold;
    font-style: italic;
    font-size: small;
    color: #1A3636;}

H3.subhead {font-family: Verdana,Helvetica,Arial,sans-serif;
            font-weight: bold;
            color: #1A3636;
            background: /*url(file:///D|/Resources/web/images/title-back.gif)*/ #f3e19a;
            font-size: 14pt;
            padding: 2px;
            white-space: pre;}

.sidebar {font-family: Helvetica,Arial,sans-serif;
          font-size: 10pt;
          color: #000000;}

CODE,TT {font-family: courier new,lucida sans typewriter,courier,monospace;}

PRE     {background: #fff8e0; 
	 padding: 6px;
         font-family: courier new, lucida sans typewriter, courier, monospace;}

/*
P.caption {font-family: Helvetica,Arial,sans-serif;
           font-weight: bold;
           font-size: 10pt;
           color: #000000;
           padding: 5px;
           margin-right:0px;}
 
P.intro {font-size: 11pt;
         color: #E5571D;
         font-weight: bold;
         margin-right: 0px;}
*/

div#schedule { 
  font-size: smaller; 
  padding-left: 1em;
}

div#schedule-main-topic
{
  background-color: #ccccff;
  font-size: larger;
  text-align: center; 
}

li#selected-fayfaar
{ 
  background-color: lightblue;
  clear: both;
}

/* make date float to the left of the item. from http://css.maxdesign.com.au/floatutorial/tutorial0106.htm*/ 
.floatleft
{
float: left;
/* margin: 0 0 10px 10px; */
border: 1px solid #666;
padding: 2px;

position:relative;
right:100px;/*  */
}

/* table formatting */



TH.colhead {font-family: Helvetica,Arial,sans-serif;
            font-size: medium;
            font-weight: bold;
            color: #E5571D;
            background-color: #000000;}

TD.contents {font-family: Helvetica,Arial,sans-serif;
             font-size: small;
             background-color: #f3e19a;}

TD.section  {color: #f3e19a;
	     font-weight: bold;
	     font-size: medium;
	     background-color: #1a3636;}

TR.section  {color: #f3e19a;
	     font-weight: bold;
	     font-size: medium;
	     background-color: #1a3636;}

TABLE.heading  { background-color: #938356; }

TABLE.heading TD  {font-family: Verdana,Helvetica,Arial,sans-serif;
	     font-size: larger;
	     font-weight: bold;
	     color: #E5571D;
             background: #f3e19a;
	     text-align: center;
             }

TD.heading  {font-family: Verdana,Helvetica,Arial,sans-serif;
	     font-size: larger;
	     font-weight: bold;
	     color: #E5571D;
             background: #f3e19a;
	     text-align: center;
             }

TD.page-heading  {font-family: Helvetica,Arial,sans-serif;
	     font-size: x-large;
	     font-weight: bold;
	     color: #1a3636;
             background: /*url(file:///D|/Resources/web/images/title-back.gif)*/ #f3e19a;}

TD.page-heading A {color: #1a3636;}

TABLE.index TH {text-decoration: underline;}
TABLE.index TD {vertical-align: top;}

TD.border   {background-color: #938356;}

TABLE.schedule TD {text-align: center;}
TABLE.schedule TD.demo    {background-color: #E5571D; color: white;}
TABLE.schedule TD.break   {background-color: #1A3636; color: white;}
TABLE.schedule TD.session {background-color: #f3e19a; color: black;}

.depthead {font-family: Helvetica,Arial,sans-serif;
           font-size: medium;
           color: #f3e19a;
           font-weight: bold;
           margin-right: 0px;
           text-align:right;}

/* These styles are for the left nav bar */

TD.navbar B {font-family: Helvetica,Arial,sans-serif;
              font-weight: bold;
              font-size: small;}

TD.navbar A {font-family: Helvetica,Arial,sans-serif;
             font-size: 10px; /*x-small;*/
             color:#1A3636;
             text-decoration: none;}

TD.navbar P {font-family: Helvetica,Arial,sans-serif;
              font-size: 10px; /*x-small;*/
              margin-top: 0px;
              padding-top: 0px;
              margin-right: 0px;}

TD.navbar {font-family: Helvetica,Arial,sans-serif;
            font-size: 10px; /*x-small;*/
            color: #000000;
            margin-right: 0px;}

TD.navbar TD.section {font-size: 12px /*small*/;}

SPAN.NEW  {color: white;
           background-color: #cc0000;
           font-size: xx-small;
           font-weight: bold;}
SPAN.IEEE {color: white;
           background-color: blue;
           font-size: xx-small;
           font-weight: bold;}
SPAN.ACM {color: white;
           background-color: blue;
           font-size: xx-small;
           font-weight: bold;}
SPAN.due { color: #e5571d;
           font-weight: bold;}

SPAN.for-presentation { color: #e5571d;
           font-weight: bold;}

SPAN.presenter { color: #1A991A; 
           font-weight: bold;}

/* i don't like highlighting the target inside lists, which happens a
lot in course webpages. it looks like i have to explicitly negate the
previous target style. */ 

:target {
  border: none;
  background-color: #ffffff; 
  padding: 0px; 
}